export type StaticClass<T> = Function & {prototype: T}

export function isStaticClass<T>(something: any): something is StaticClass<T> {
    return typeof something === 'function' && typeof something.prototype !== 'undefined'
}
